<?php


namespace Schaffen\Core\Product\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Product\Models\Product;

class ProductRepository extends Repository
{
    protected $model = Product::class;
    protected $orderBy = 'pro_descricao';

    protected $searchableFields = [
        ['field' => 'pro_mobile'],
        ['field' => 'pro_servico'],
        ['field' => 'pro_status']
    ];

    protected function applyCustomFilters()
    {

        extract($this->filters);

    }
}